Bug 9966 - pppd does not check what pam_session_open return
pppd does not check what pam_session_open return
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-04 17:04 EST by Leonid Kanter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-07 11:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (443 bytes, patch)
2000-03-04 17:06 EST, Leonid Kanter
no flags Details | Diff

  None (edit)
Description Leonid Kanter 2000-03-04 17:04:37 EST
I'm administrator of modem pool. I'm using mgetty+pppd+pap to authorize
users. Some users share login and password with friends and try to log
twice. To prevent this, I decided to add "session required pam_limits.so"
to /etc/pam.d/ppp and set maxlogins to 1 in /etc/security/limits.conf. It
worked for all other services, but not for pppd. Looking at pppd sources, I
found that it call pam_open_session, but doesn't check what this function
return. With my patch everything is OK

This bug is present even in 5.2 and maybe before. Looks like nobody tried
to use pam_limits with pppd...
Comment 1 Leonid Kanter 2000-03-04 17:06:59 EST
Created attachment 141 [details]
Patch to fix the problem
Comment 2 Nalin Dahyabhai 2000-03-06 08:42:59 EST
Applied the patch, after changing the '==' to a '='.  This will be fixed in
ppp-2.3.11-4 and put into our tree as soon as possible.
Comment 3 Nalin Dahyabhai 2000-03-07 11:12:59 EST
The fix is now in the devel tree, and will propagate to Raw Hide whenever we
next we refresh it.

Note You need to log in before you can comment on or make changes to this bug.